#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 knob
version:              0.1.1
visibility:           public
id:                   knob-0.1.1-4XZKEIuRfbw5zvrpDqKmVN
key:                  knob-0.1.1-4XZKEIuRfbw5zvrpDqKmVN
license:              MIT
maintainer:           John Millikin <jmillikin@gmail.com>
author:               John Millikin <jmillikin@gmail.com>
stability:            experimental
homepage:             https://john-millikin.com/software/knob/
synopsis:             Memory-backed handles
description:
    Create memory-backed '\''Handle'\''s, referencing virtual files. This is
    mostly useful for testing '\''Handle'\''-based APIs without having to
    interact with the filesystem.

    > import Data.ByteString (pack)
    > import Data.Knob
    > import System.IO
    >
    > main = do
    >     knob <- newKnob (pack [])
    >     h <- newFileHandle knob "test.txt" WriteMode
    >     hPutStrLn h "Hello world!"
    >     hClose h
    >     bytes <- Data.Knob.getContents knob
    >     putStrLn ("Wrote bytes: " ++ show bytes)

category:             System
abi:                  84ec74208990a5e448aafb79203900bd
exposed:              True
exposed-modules:      Data.Knob
import-dirs:          /usr/lib/ghc-8.10.5/site-local/knob-0.1.1
library-dirs:         /usr/lib/ghc-8.10.5/site-local/knob-0.1.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.5/knob-0.1.1
hs-libraries:         HSknob-0.1.1-4XZKEIuRfbw5zvrpDqKmVN
depends:
    base-4.14.2.0 bytestring-0.10.12.0 transformers-0.5.6.2

haddock-interfaces:   /usr/share/doc/haskell-knob/html/knob.haddock
haddock-html:         /usr/share/doc/haskell-knob/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

